### Enumeration

# Cogl PipelineWrapMode

#### Declaration

    enum Cogl.PipelineWrapMode

#### Description [src]

The wrap mode specifies what happens when texture coordinates outside the range 0→1 are used. Note that if the filter mode is anything but `COGL_PIPELINE_FILTER_NEAREST` then texels outside the range 0→1 might be used even when the coordinate is exactly 0 or 1 because OpenGL will try to sample neighbouring pixels. For example if you are trying to render the full texture then you may get artifacts around the edges when the pixels from the other side are merged in if the wrap mode is set to repeat.

#### Members

`COGL_PIPELINE_WRAP_MODE_REPEAT`

  The texture will be repeated. This is useful for example to draw a tiled background.

  - Value: `10497`
  - Available since: 14
`COGL_PIPELINE_WRAP_MODE_MIRRORED_REPEAT`

  No description available.

  - Value: `33648`
  - Available since: 14
`COGL_PIPELINE_WRAP_MODE_CLAMP_TO_EDGE`

  The coordinates outside the range 0→1 will sample copies of the edge pixels of the texture. This is useful to avoid artifacts if only one copy of the texture is being rendered.

  - Value: `33071`
  - Available since: 14
`COGL_PIPELINE_WRAP_MODE_AUTOMATIC`

  Cogl will try to automatically decide which of the above two to use. For cogl_rectangle(), it will use repeat mode if any of the texture coordinates are outside the range 0→1, otherwise it will use clamp to edge. For `cogl_polygon()` it will always use repeat mode. For `cogl_vertex_buffer_draw()` it will use repeat mode except for layers that have point sprite coordinate generation enabled. This is the default value.

  - Value: `519`
  - Available since: 14